> ## Documentation Index
> Fetch the complete documentation index at: https://docs.insighto.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Form

> Create a new form



## OpenAPI

````yaml https://api.insighto.ai/api/v1/openapi.json post /api/v1/form
openapi: 3.1.0
info:
  title: Ragify
  version: v1
servers: []
security: []
paths:
  /api/v1/form:
    post:
      tags:
        - Form
      summary: Create Form
      description: Create a new form
      operationId: create_form_api_v1_form_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IFormCreate'
        required: true
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IPostResponseBase_IFormCreate_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Your API Key: []
        - HTTPBearer: []
components:
  schemas:
    IFormCreate:
      properties:
        org_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Org Id
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        trigger_instructions:
          anyOf:
            - type: string
            - type: 'null'
          title: Trigger Instructions
        form_type:
          anyOf:
            - $ref: '#/components/schemas/IFormTypeEnum'
            - type: 'null'
        attributes:
          additionalProperties: true
          type: object
          title: Attributes
          default: {}
        fields:
          items: {}
          type: array
          title: Fields
          default: []
        webhook_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Webhook Id
        trigger_tools:
          anyOf:
            - items: {}
              type: array
            - type: 'null'
          title: Trigger Tools
          default: []
        contact_mapping:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Contact Mapping
          default: {}
      type: object
      required:
        - name
        - trigger_instructions
        - form_type
      title: IFormCreate
    IPostResponseBase_IFormCreate_:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
          default: Data created successfully
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - {}
            - type: 'null'
          title: Meta
          default: {}
        data:
          anyOf:
            - $ref: '#/components/schemas/IFormCreate'
            - type: 'null'
      type: object
      title: IPostResponseBase[IFormCreate]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    IFormTypeEnum:
      type: string
      enum:
        - natural
        - simple
      title: IFormTypeEnum
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    Your API Key:
      type: apiKey
      description: >-
        Your API key for authentication. You can generate it from the
        **Settings** page. Format: starts with `in-`.
      in: query
      name: api_key
    HTTPBearer:
      type: http
      scheme: bearer

````